#tag BuildAutomation
			Begin BuildStepList Linux
				Begin BuildProjectStep Build
				End
				Begin IDEScriptBuildStep ScriptForDebug , AppliesTo = 1
					
					Say("Copying ancillary folders to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/gps_logs/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/movie_playlists/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/music_playlists/' " + CurrentBuildLocation)
					
					Say("Copying ancillary icons to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_16.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_32.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_48.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_64.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_128.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_256.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/appicon_512.png' " + CurrentBuildLocation)
					
					Say("Copying ancillary database to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/Debugcomvette.db' " + CurrentBuildLocation)
					
					Say("Copying ancillary INI file to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/Debugcomvette.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary script files to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/app_start.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/launch_movie.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/launch_music.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_debug/omx_player_dbus_control.sh' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi rm -rf /home/pi/Desktop/Debugcomvette/*")
					
					Say("Xojo is copying files to Raspberry Pi")
					
					
					'=======================================================================================
					
					Sub Exec(strCommand As String)
					
					'Print strCommand
					
					Dim strResult As String = DoShellCommand(strCommand)
					If strResult <> "" Then
					Print("Exec failed performing: " + strCommand + EndOfLine + "Result:" + strResult)
					End If
					
					End Sub
					
					Sub Say(strPhrase As String)
					
					Call DoShellCommand("speak '" + strPhrase + "'")
					
					End Sub
					
				End
				Begin IDEScriptBuildStep ScriptForRelease , AppliesTo = 2
					
					Say("Copying ancillary folders to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/gps_logs/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/movie_playlists/' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/music_playlists/' " + CurrentBuildLocation)
					
					Say("Copying ancillary icons to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_16.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_32.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_48.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_64.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_128.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_256.png' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/appicon_512.png' " + CurrentBuildLocation)
					
					Say("Copying ancillary database to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/comvette.db' " + CurrentBuildLocation)
					
					Say("Copying ancillary INI file to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/comvette.ini' " + CurrentBuildLocation)
					
					Say("Copying ancillary script files to the build folder")
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/app_start.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/launch_movie.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/launch_music.sh' " + CurrentBuildLocation)
					Exec("cp -r '/home/wes/comvette_project/comvette/ancillary_files_for_release/omx_player_dbus_control.sh' " + CurrentBuildLocation)
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi rm -rf /home/pi/echo-dev/comvette/*")
					
					Say("Copying files to Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' scp -r " + CurrentBuildLocation + " root@Car-Pi:/home/pi/echo-dev/")
					
					Say("Changing ownership of files.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi chown -R pi:pi /home/pi/echo-dev/comvette/")
					
					Say("Changing permissions of files.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi chmod -R 755 /home/pi/echo-dev/comvette/")
					
					Say("Setup is complete.")
					
					
					'=======================================================================================
					
					Sub Exec(strCommand As String)
					
					'Print strCommand
					
					Dim strResult As String = DoShellCommand(strCommand)
					If strResult <> "" Then
					Print("Exec failed performing: " + strCommand + EndOfLine + "Result:" + strResult)
					End If
					
					End Sub
					
					Sub Say(strPhrase As String)
					
					Call DoShellCommand("speak '" + strPhrase + "'")
					
					End Sub
					
				End
			End
			Begin BuildStepList Mac OS X
				Begin BuildProjectStep Build
				End
			End
			Begin BuildStepList Windows
				Begin BuildProjectStep Build
				End
			End
#tag EndBuildAutomation
