#!/bin/bash

# Set Raspberry Pi's master volume to 100%.
#
amixer set 'PCM' 100%

# Run the comvette splash screen program.
#
/home/pi/echo-dev/splash/splash &

# Make comvette the current directory.
#
cd /home/pi/echo-dev/comvette/

# Delete any orphaned .dat files.
#
rm -f launch_music.dat
rm -f launch_movie.dat

# Run the audio and video launchers as background processes.
#
./launch_music.sh &
./launch_movie.sh &

# Run the comvette program.
#
./comvette &
