#!/bin/bash

cd /home/pi/echo-dev/comvette/

while :
do

    if [ -e launch_movie.dat ]; then

        read -r movie_file < launch_movie.dat

        # Send audio directly to Raspberry Pi hardware (OMXPlayer default):
          omxplayer --no-keys                  --dbus_name "comvette.movie.player" --no-osd --win 900,580,910,590 "$movie_file"

        # Send audio to ALSA device 1 (Second USB Sound dongle):
        # omxplayer --no-keys --adev alsa:hw:1 --dbus_name "comvette.movie.player" --no-osd --win 900,580,910,590 "$movie_file"

        # Send audio to ALSA default device (HDMI audio splitter):
        # omxplayer --no-keys --adev alsa      --dbus_name "comvette.movie.player" --no-osd --win 900,580,910,590 "$movie_file"

    fi

    sleep 1

done
