#tag Window
Begin ContainerControl digital_frequency_display
   AcceptFocus     =   False
   AcceptTabs      =   False
   AutoDeactivate  =   True
   BackColor       =   &c00000000
   Backdrop        =   0
   Compatibility   =   ""
   DoubleBuffer    =   False
   Enabled         =   True
   EraseBackground =   False
   HasBackColor    =   True
   Height          =   110
   HelpTag         =   ""
   InitialParent   =   ""
   Left            =   0
   LockBottom      =   False
   LockLeft        =   False
   LockRight       =   True
   LockTop         =   True
   TabIndex        =   0
   TabPanelIndex   =   0
   TabStop         =   False
   Top             =   0
   Transparent     =   False
   UseFocusRing    =   False
   Visible         =   True
   Width           =   360
   Begin Canvas cnvsDigitalFrequency
      AcceptFocus     =   False
      AcceptTabs      =   False
      AutoDeactivate  =   True
      Backdrop        =   0
      DoubleBuffer    =   True
      Enabled         =   True
      EraseBackground =   False
      Height          =   110
      HelpTag         =   ""
      Index           =   -2147483648
      InitialParent   =   ""
      Left            =   0
      LockBottom      =   False
      LockedInPosition=   True
      LockLeft        =   True
      LockRight       =   False
      LockTop         =   True
      Scope           =   2
      TabIndex        =   2
      TabPanelIndex   =   0
      TabStop         =   True
      Top             =   0
      Transparent     =   True
      UseFocusRing    =   False
      Visible         =   True
      Width           =   360
   End
End
#tag EndWindow

#tag WindowCode
	#tag Method, Flags = &h0
		Sub Update(intFrequency As UInt32)
		  
		  psglFrequency = intFrequency / 1000000
		  
		  cnvsDigitalFrequency.Invalidate
		  
		End Sub
	#tag EndMethod


	#tag Property, Flags = &h21
		Private psglFrequency As Single
	#tag EndProperty


#tag EndWindowCode

#tag Events cnvsDigitalFrequency
	#tag Event
		Sub Paint(g As Graphics, areas() As REALbasic.Rect)
		  
		  Dim strFrequency As String
		  Dim intDigitValue As Integer
		  
		  Const CHAR_WIDTH = 60
		  Const CHAR_HEIGHT = 110
		  Const DIM_DIGIT = 10
		  Const LIT_DOT = 11
		  
		  
		  ' Get formatted string version of frequency.
		  '
		  strFrequency = Format(psglFrequency, "000.0")
		  
		  ' g.DrawPicture(Source, DestX, DestY, DestWidth, DestHeight, SourceX, SourceY, SourceWidth, SourceHeight)
		  
		  ' Draw first digit of frequency.
		  '
		  intDigitValue = Val(Mid(strFrequency, 1, 1))
		  If intDigitValue = 0 Then
		    g.DrawPicture(digital_radio_palette,   0, 0, CHAR_WIDTH, CHAR_HEIGHT, DIM_DIGIT * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  Else
		    g.DrawPicture(digital_radio_palette,   0, 0, CHAR_WIDTH, CHAR_HEIGHT, intDigitValue * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  End If
		  
		  ' Draw second digit of frequency.
		  '
		  intDigitValue = Val(Mid(strFrequency, 2, 1))
		  g.DrawPicture(digital_radio_palette,  90, 0, CHAR_WIDTH, CHAR_HEIGHT, intDigitValue * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  
		  ' Draw third digit of frequency.
		  '
		  intDigitValue = Val(Mid(strFrequency, 3, 1))
		  g.DrawPicture(digital_radio_palette, 180, 0, CHAR_WIDTH, CHAR_HEIGHT, intDigitValue * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  
		  ' Draw decimal point.
		  ' 
		  g.DrawPicture(digital_radio_palette, 240, 0, CHAR_WIDTH, CHAR_HEIGHT,  LIT_DOT * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  
		  ' Draw last digit of frequency.
		  ' 
		  intDigitValue = Val(Mid(strFrequency, 5, 1))
		  g.DrawPicture(digital_radio_palette, 300, 0, CHAR_WIDTH, CHAR_HEIGHT, intDigitValue * CHAR_WIDTH, 0, CHAR_WIDTH, CHAR_HEIGHT)
		  
		  
		End Sub
	#tag EndEvent
#tag EndEvents
#tag ViewBehavior
	#tag ViewProperty
		Name="DoubleBuffer"
		Visible=true
		Group="Windows Behavior"
		InitialValue="False"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="AcceptFocus"
		Visible=true
		Group="Behavior"
		InitialValue="False"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="AcceptTabs"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="AutoDeactivate"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="BackColor"
		Visible=true
		Group="Background"
		InitialValue="&hFFFFFF"
		Type="Color"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Backdrop"
		Visible=true
		Group="Background"
		Type="Picture"
		EditorType="Picture"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Enabled"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="EraseBackground"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="HasBackColor"
		Visible=true
		Group="Background"
		InitialValue="False"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Height"
		Visible=true
		Group="Size"
		InitialValue="300"
		Type="Integer"
	#tag EndViewProperty
	#tag ViewProperty
		Name="HelpTag"
		Visible=true
		Group="Appearance"
		Type="String"
	#tag EndViewProperty
	#tag ViewProperty
		Name="InitialParent"
		Group="Position"
		Type="String"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Left"
		Visible=true
		Group="Position"
		Type="Integer"
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockBottom"
		Visible=true
		Group="Position"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockLeft"
		Visible=true
		Group="Position"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockRight"
		Visible=true
		Group="Position"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="LockTop"
		Visible=true
		Group="Position"
		Type="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Name"
		Visible=true
		Group="ID"
		Type="String"
		EditorType="String"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Super"
		Visible=true
		Group="ID"
		Type="String"
		EditorType="String"
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabIndex"
		Visible=true
		Group="Position"
		InitialValue="0"
		Type="Integer"
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabPanelIndex"
		Group="Position"
		InitialValue="0"
		Type="Integer"
	#tag EndViewProperty
	#tag ViewProperty
		Name="TabStop"
		Visible=true
		Group="Position"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Top"
		Visible=true
		Group="Position"
		Type="Integer"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Transparent"
		Visible=true
		Group="Behavior"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="UseFocusRing"
		Visible=true
		Group="Appearance"
		InitialValue="False"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Visible"
		Visible=true
		Group="Appearance"
		InitialValue="True"
		Type="Boolean"
		EditorType="Boolean"
	#tag EndViewProperty
	#tag ViewProperty
		Name="Width"
		Visible=true
		Group="Size"
		InitialValue="300"
		Type="Integer"
	#tag EndViewProperty
#tag EndViewBehavior
