#!/bin/bash

cd /home/pi/Desktop/Debugcomvette/

while :
do

    if [ -e launch_music.dat ]; then

        read -r music_file < launch_music.dat

        # Send audio directly to Raspberry Pi hardware (OMXPlayer default):
          omxplayer --no-keys                  --dbus_name "comvette.music.player" "$music_file"

        # Send audio to ALSA device 0 (First USB Sound dongle):
        # omxplayer --no-keys --adev alsa:hw:0 --dbus_name "comvette.music.player" "$music_file"

        # Send audio to ALSA default device (HDMI audio splitter):
        # omxplayer --no-keys --adev alsa      --dbus_name "comvette.music.player" "$music_file"

    fi

    sleep 1

done
