#tag BuildAutomation
			Begin BuildStepList Linux
				Begin BuildProjectStep Build
				End
				Begin IDEScriptBuildStep ScriptForDebug , AppliesTo = 1
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi rm -rf /home/pi/Desktop/Debugsplash/*")
					
					Say("Xojo is copying files to Raspberry Pi.")
					
					
					'=======================================================================================
					
					Sub Exec(strCommand As String)
					
					'Print strCommand
					
					Dim strResult As String = DoShellCommand(strCommand)
					If strResult <> "" Then
					Print("Exec failed performing: " + strCommand + EndOfLine + "Result:" + strResult)
					End If
					
					End Sub
					
					Sub Say(strPhrase As String)
					
					Call DoShellCommand("speak '" + strPhrase + "'")
					
					End Sub
					
				End
				Begin IDEScriptBuildStep ScriptForRelease , AppliesTo = 2
					
					Say("Deleting files from Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi rm -rf /home/pi/echo-dev/splash/*")
					
					Say("Copying files to Raspberry Pi.")
					Exec("sshpass -p 'yuhana27' scp -r " + CurrentBuildLocation + " root@Car-Pi:/home/pi/echo-dev/")
					
					Say("Changing ownership of files.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi chown -R pi:pi /home/pi/echo-dev/splash/")
					
					Say("Changing permissions of files.")
					Exec("sshpass -p 'yuhana27' ssh root@Car-Pi chmod -R 755 /home/pi/echo-dev/splash/")
					
					Say("Setup is complete.")
					
					
					'=======================================================================================
					
					Sub Exec(strCommand As String)
					
					'Print strCommand
					
					Dim strResult As String = DoShellCommand(strCommand)
					If strResult <> "" Then
					Print("Exec failed performing: " + strCommand + EndOfLine + "Result:" + strResult)
					End If
					
					End Sub
					
					Sub Say(strPhrase As String)
					
					Call DoShellCommand("speak '" + strPhrase + "'")
					
					End Sub
					
				End
			End
			Begin BuildStepList Mac OS X
				Begin BuildProjectStep Build
				End
			End
			Begin BuildStepList Windows
				Begin BuildProjectStep Build
				End
			End
#tag EndBuildAutomation
